Public Member Functions | Public Attributes | List of all members
MindWrtParserInternal::ZoneInfo Struct Reference

Internal: a zone information of a MindWrtParser. More...

## Public Member Functions
| ZoneInfo ()
void | updateListId (ListProperties &prop, MWAWListManager &listManager)
| update the line list id More...

## Public Attributes
std::vector< LineInfo > | m_linesList
| the list of line information More...

## Detailed Description

Internal: a zone information of a MindWrtParser.

## Constructor & Destructor Documentation

## ◆ ZoneInfo()

MindWrtParserInternal::ZoneInfo::ZoneInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ updateListId()

void MindWrtParserInternal::ZoneInfo::updateListId | ( | ListProperties & | prop,
|  | MWAWListManager & | listManager
| ) |  |

update the line list id

## Member Data Documentation

## ◆ m_linesList

std::vector<LineInfo> MindWrtParserInternal::ZoneInfo::m_linesList

the list of line information

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx